Bug 1288875 - [abrt] gnome-shell: meta_xwayland_selection_handle_xfixes_selection_notify(): gnome-shell killed by SIGSEGV
[abrt] gnome-shell: meta_xwayland_selection_handle_xfixes_selection_notify():...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:575dddb0b37e6c9efa5c9457c7e...
:
: 1298287 1302569 (view as bug list)
Depends On:
Blocks: WaylandRelated
  Show dependency treegraph
 
Reported: 2015-12-06 14:58 EST by Jakub Bittner
Modified: 2017-12-12 06:09 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 06:09:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (81.22 KB, text/plain)
2015-12-06 14:58 EST, Jakub Bittner
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-06 14:58 EST, Jakub Bittner
no flags Details
File: core_backtrace (3.53 KB, text/plain)
2015-12-06 14:58 EST, Jakub Bittner
no flags Details
File: dso_list (25.47 KB, text/plain)
2015-12-06 14:58 EST, Jakub Bittner
no flags Details
File: environ (1.00 KB, text/plain)
2015-12-06 14:58 EST, Jakub Bittner
no flags Details
File: exploitable (95 bytes, text/plain)
2015-12-06 14:58 EST, Jakub Bittner
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-06 14:58 EST, Jakub Bittner
no flags Details
File: maps (124.36 KB, text/plain)
2015-12-06 14:58 EST, Jakub Bittner
no flags Details
File: mountinfo (3.29 KB, text/plain)
2015-12-06 14:58 EST, Jakub Bittner
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-06 14:58 EST, Jakub Bittner
no flags Details
File: open_fds (6.58 KB, text/plain)
2015-12-06 14:58 EST, Jakub Bittner
no flags Details
File: proc_pid_status (1.00 KB, text/plain)
2015-12-06 14:58 EST, Jakub Bittner
no flags Details
File: var_log_messages (638 bytes, text/plain)
2015-12-06 14:58 EST, Jakub Bittner
no flags Details

  None (edit)
Description Jakub Bittner 2015-12-06 14:58:09 EST
Version-Release number of selected component:
gnome-shell-3.18.3-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell --wayland --display-server
crash_function: meta_xwayland_selection_handle_xfixes_selection_notify
executable:     /usr/bin/gnome-shell
global_pid:     12408
kernel:         4.2.6-301.fc23.x86_64+debug
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 meta_xwayland_selection_handle_xfixes_selection_notify at wayland/meta-xwayland-selection.c:1437
 #1 meta_xwayland_selection_handle_event at wayland/meta-xwayland-selection.c:1478
 #2 meta_display_handle_xevent at x11/events.c:1684
 #3 xevent_filter at x11/events.c:1786
 #4 gdk_event_apply_filters at gdkeventsource.c:81
 #5 gdk_event_source_translate_event at gdkeventsource.c:195
 #6 _gdk_x11_display_queue_events at gdkeventsource.c:338
 #7 gdk_display_get_event at gdkdisplay.c:340
 #13 meta_run at core/main.c:437
Comment 1 Jakub Bittner 2015-12-06 14:58:16 EST
Created attachment 1102864 [details]
File: backtrace
Comment 2 Jakub Bittner 2015-12-06 14:58:18 EST
Created attachment 1102865 [details]
File: cgroup
Comment 3 Jakub Bittner 2015-12-06 14:58:19 EST
Created attachment 1102866 [details]
File: core_backtrace
Comment 4 Jakub Bittner 2015-12-06 14:58:22 EST
Created attachment 1102867 [details]
File: dso_list
Comment 5 Jakub Bittner 2015-12-06 14:58:24 EST
Created attachment 1102868 [details]
File: environ
Comment 6 Jakub Bittner 2015-12-06 14:58:26 EST
Created attachment 1102869 [details]
File: exploitable
Comment 7 Jakub Bittner 2015-12-06 14:58:28 EST
Created attachment 1102870 [details]
File: limits
Comment 8 Jakub Bittner 2015-12-06 14:58:33 EST
Created attachment 1102871 [details]
File: maps
Comment 9 Jakub Bittner 2015-12-06 14:58:35 EST
Created attachment 1102872 [details]
File: mountinfo
Comment 10 Jakub Bittner 2015-12-06 14:58:37 EST
Created attachment 1102873 [details]
File: namespaces
Comment 11 Jakub Bittner 2015-12-06 14:58:39 EST
Created attachment 1102874 [details]
File: open_fds
Comment 12 Jakub Bittner 2015-12-06 14:58:40 EST
Created attachment 1102875 [details]
File: proc_pid_status
Comment 13 Jakub Bittner 2015-12-06 14:58:42 EST
Created attachment 1102876 [details]
File: var_log_messages
Comment 14 mchalupa 2016-02-12 05:11:58 EST
*** Bug 1302569 has been marked as a duplicate of this bug. ***
Comment 15 mchalupa 2016-03-10 05:57:59 EST
*** Bug 1298287 has been marked as a duplicate of this bug. ***
Comment 16 Christian Stadelmann 2016-08-13 09:57:57 EDT
This bug is still present in Gnome 3.20.
Comment 17 Vít Ondruch 2016-08-17 09:47:47 EDT
Similar problem has been detected:

Happened during Drand and Drop

reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_xwayland_selection_handle_xfixes_selection_notify
executable:     /usr/bin/gnome-shell
global_pid:     28371
kernel:         4.7.0-2.fc26.x86_64
package:        gnome-shell-3.21.4-1.fc25
pkg_vendor:     Fedora Project
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            16025
Comment 18 Matthias Clasen 2016-09-01 07:00:06 EDT
Looks like this might still be an issue. Can focus be NULL in this code ?

      if (event->owner != None && event->owner != selection->window)
        {
          MetaWaylandSurface *focus;

          focus = compositor->seat->pointer.focus_surface;
          selection->source = meta_wayland_data_source_xwayland_new (selection);
          meta_wayland_data_device_set_dnd_source (&compositor->seat->data_device,
                                                   selection->source);

          meta_wayland_data_device_start_drag (data_device,
                                               wl_resource_get_client (focus->resource),
                                               &drag_xgrab_interface,
                                               focus, selection->source,
                                               NULL);
        }
Comment 19 Jonas Ådahl 2016-09-06 08:32:50 EDT
Possible fix (upstream): https://bugzilla.gnome.org/show_bug.cgi?id=770940
Comment 20 Fedora End Of Life 2016-11-24 09:01:11 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 21 Vít Ondruch 2016-11-25 10:29:13 EST
Not sure if it was resolved, but at minimum, I spotted it with f25 package previously ...
Comment 22 Fedora End Of Life 2017-11-16 09:37:24 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 23 Christian Stadelmann 2017-11-16 17:43:32 EST
This has been fixed upstream.
Comment 24 Fedora End Of Life 2017-12-12 06:09:53 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.